Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 20 Aug 2014, 10:43
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
FBReader: An E-Book reader
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 5 [74 Posts]   Goto page: 1, 2, 3, 4, 5 Next
Author Message
muggins

Joined: 20 Jan 2006
Posts: 6678
Location: lisbon

PostPosted: Fri 09 Nov 2007, 03:08    Post subject:  FBReader: An E-Book reader  

http://www.fbreader.org/about.php

This is a reader for ebooks. I've uploaded it here: fbreader-0.12.8.pet or here. (1833kbytes).

It also needs liblinebreak.so.1, which is available from Aragon's .pet here.


To run, Menu->Document->E-book reader

Links to ebook sites here:

http://www.fbreader.org/ebooklinks.php

N.B. This is the latest beta version
fbreader.jpg
 Description   
 Filesize   25.81 KB
 Viewed   8304 Time(s)

fbreader.jpg


Last edited by muggins on Thu 25 Mar 2010, 19:40; edited 18 times in total
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6678
Location: lisbon

PostPosted: Fri 18 Apr 2008, 05:00    Post subject:  

Uploaded v0.8.17.
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6678
Location: lisbon

PostPosted: Fri 20 Mar 2009, 21:49    Post subject:  

Uploaded v0.10.5.
Back to top
View user's profile Send private message 
dawnsboy


Joined: 03 Dec 2008
Posts: 248
Location: Indiana - Republic of New Canada

PostPosted: Sat 21 Mar 2009, 00:08    Post subject:  

This pet package contains /usr/share/FBReader and /usr/share/zlibrary folders but lacks an executable file. IE FBReader. How is one to execute the program without the proper executable?
Back to top
View user's profile Send private message 
magerlab

Joined: 08 Jul 2007
Posts: 731

PostPosted: Sat 21 Mar 2009, 05:23    Post subject:  

FBReader can be installed from the program's site (there's a binary archive)
needs also liblinebreak
liblinebreak.tar
Description  unpack to /
tar

 Download 
Filename  liblinebreak.tar 
Filesize  40 KB 
Downloaded  1562 Time(s) 

_________________
skype: desafimager
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6678
Location: lisbon

PostPosted: Sat 21 Mar 2009, 06:31    Post subject:  

I'm flabbergasted! The pet installs /usr/bin/FBReader + /usr/lib/linebreak.so.1.
Back to top
View user's profile Send private message 
dawnsboy


Joined: 03 Dec 2008
Posts: 248
Location: Indiana - Republic of New Canada

PostPosted: Sat 21 Mar 2009, 07:58    Post subject:  

There is no /usr/bin/FBReader installed on my system. There is no /usr/bin/FBReader present in the .pet package that I downloaded. Rather odd.

The only files present in the .pet package are /usr/share/FBReader and /usr/share/zlibrary folders with contents. There are no other files included in the package.
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6678
Location: lisbon

PostPosted: Sat 21 Mar 2009, 08:14    Post subject:  

Hello dawnsboy,

woops! I just remembered the upload was quite sporadic...due to intermittent connection...bear with me & i'll re-upload 2morro.

cheers
Back to top
View user's profile Send private message 
dawnsboy


Joined: 03 Dec 2008
Posts: 248
Location: Indiana - Republic of New Canada

PostPosted: Sat 21 Mar 2009, 13:29    Post subject:  

Quote:
Hello dawnsboy,

woops! I just remembered the upload was quite sporadic...due to intermittent connection...bear with me & i'll re-upload 2morro.

cheers


No problem. I figured it had to be something along those lines because you are very reliable with building packages. I do not need it right away (and if I did I would have done it myself). I just grabbed it because the most recent releases have additional features including the ability to conduct a search and download books from inside the application.

Thanks for making that package available.
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6678
Location: lisbon

PostPosted: Sat 21 Mar 2009, 18:15    Post subject:  

I've re-uploaded it.
Back to top
View user's profile Send private message 
hillside


Joined: 02 Sep 2007
Posts: 642
Location: Minnesota, USA. The frozen north.

PostPosted: Sat 21 Mar 2009, 20:43    Post subject:  

Just a note to those who may run into this problem.

I'm running Puppy 4.0 and had to make links of libzltext.so.0.10 to libzltext.so.0.10.5 and libzlcore.so.0.10 to libzlcore.so.0.10.5 to get the reader to work.
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6678
Location: lisbon

PostPosted: Sun 22 Mar 2009, 07:16    Post subject:  

Thanks Hillside,

I've modified the .pet to include the symlinks,

cheers
Back to top
View user's profile Send private message 
ravensrest


Joined: 22 Feb 2008
Posts: 321
Location: Hood Canal, WA

PostPosted: Sun 22 Mar 2009, 10:40    Post subject:  

Your pet link is asking me for a password for puppylinux.asia?
BS
Back to top
View user's profile Send private message 
dawnsboy


Joined: 03 Dec 2008
Posts: 248
Location: Indiana - Republic of New Canada

PostPosted: Sun 22 Mar 2009, 12:47    Post subject:  

Quote:
Your pet link is asking me for a password for puppylinux.asia?
BS


username=puppy
password=linux

@muggins

I downloaded the new package and all works very well. Thank you.
Back to top
View user's profile Send private message 
DMcCunney

Joined: 02 Feb 2009
Posts: 897

PostPosted: Mon 23 Mar 2009, 10:42    Post subject:  

Ah, thank you!

The older 0.8.17 release was running fine here in Puppy, but it's nice to have the newer one.

I think FBReader is the only application that actually uses the linebreak library added in the 0.10.x versions, it isn't included in the FBReader distro, and the only place I could find it was a source archive.

I have a large number of books in Plucker format (about 3,200), and a growing collection of Mobipocket titles, so it's nice to be able to read them in Puppy as well as on my PDA.
______
Dennis
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 5 [74 Posts]   Goto page: 1, 2, 3, 4, 5 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0699s ][ Queries: 12 (0.0058s) ][ GZIP on ]